@use 'partials/components/menu';
@use 'partials/mixins/text-clamp';

.app-logo {
  width: 2em;
  aspect-ratio: 1;
  object-fit: cover;
  align-self: center;
  border-radius: 50%;
}

.app-header {
  width: 100%;
  max-width: calc(#{menu.$menu-midi-width} - 3.75em - 32px);  // 3.75em is a combination of padding left and right in app-header-container + 3x padding right for logo, vendor name and app name
  display: flex;
  flex: 1; /* app-header should expand as much as possible */
  justify-content: flex-start; /* align content left */
  align-items: center; /* center children vertically */
}

.app-header > *:not(:last-child) {
  padding-right: 0.75em;
}

.text-clamp {
  @include text-clamp.set-text-clamp(1);
}
